## qhttpengine 0.1.0%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Upstream bundles a minified copy of jQuery so we replace it with a symlink to
# the copy in libjs-jquery. The file is embedded in the binary and also copied
# to the examples directory.
JQUERY_SRC = /usr/share/javascript/jquery/jquery.min.js
JQUERY_DEST = examples/chatserver/static/js/jquery.min.js

# The test suite fails if $HOME isn't set to a valid directory
TMPDIR ?= /tmp
HOME = $(TMPDIR)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/$(JQUERY_DEST)

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_DOC=ON \
		-DBUILD_EXAMPLES=ON \
		-DBUILD_TESTS=ON \
		-DLIB_INSTALL_DIR=lib/$(DEB_HOST_MULTIARCH)
	ln -s $(JQUERY_SRC) $(CURDIR)/$(JQUERY_DEST)

override_dh_link:
	dh_link
	dh_link -p libqhttpengine-examples $(JQUERY_SRC) \
	    usr/lib/$(DEB_HOST_MULTIARCH)/QHttpEngine/$(JQUERY_DEST)
