=== debian/changelog ===
qhttpengine (0.1.0+dfsg1-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 09 Sep 2016 13:29:22 -0700

qhttpengine (0.1.0+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #811224)

 -- Nathan Osman <nathan@quickmediasolutions.com>  Mon, 23 May 2016 19:55:49 -0700
