=== debian/control ===
Source: qhttpengine
Section: libs
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Nathan Osman <nathan@quickmediasolutions.com>
Build-Depends: debhelper (>= 9),
               cmake (>= 2.8.11),
               qtbase5-dev (>= 5.1),
               doxygen,
               libjs-jquery
Standards-Version: 3.9.8
Homepage: https://github.com/nitroshare/qhttpengine

Package: libqhttpengine0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: HTTP server for Qt applications
 QHttpEngine provides a set of classes that enable Qt applications to create an
 HTTP server capable of serving static files and exposing a public API.
 .
 This package provides the shared library required by applications at runtime.

Package: libqhttpengine-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libqhttpengine0 (= ${binary:Version})
Description: HTTP server for Qt applications - development files
 QHttpEngine provides a set of classes that enable Qt applications to create an
 HTTP server capable of serving static files and exposing a public API.
 .
 This package provides the files necessary for developing applications that use
 the library.

Package: libqhttpengine-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         libjs-jquery
Description: HTTP server for Qt applications - documentation
 QHttpEngine provides a set of classes that enable Qt applications to create an
 HTTP server capable of serving static files and exposing a public API.
 .
 This package contains the documentation for the library.

Package: libqhttpengine-examples
Section: x11
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery
Description: HTTP server for Qt applications - examples
 QHttpEngine provides a set of classes that enable Qt applications to create an
 HTTP server capable of serving static files and exposing a public API.
 .
 This package provides a set of examples that use the library.
